data ratbrain;
  infile "rat_brain.dat" firstobs=2 dlm="09"X;
  input animal $ treatment region activate;
  if treatment = 1 then treat = 0;
  if treatment = 2 then treat = 1;
run;

title "Model 5.1";
proc mixed data = ratbrain covtest; 
  class region animal;
  model activate = region treat region*treat / solution;
  random int / subject = animal type=vc solution v vcorr;
run;

title "Model 5.2";
proc mixed data = ratbrain covtest; 
  class animal region;
  model activate = region treat region*treat / solution;
  random int treat / subject = animal type = un solution v vcorr;
run;

title "Alternative Random Effects Specification for Model 5.2";
proc mixed data = ratbrain covtest; 
  class region animal treatment;
  model activate = region treatment region*treatment / solution;
  random treatment / subject=animal type=un solution v vcorr;
  lsmeans region*treatment / slice=region;
run;

title "Model 5.3";
proc mixed data = ratbrain;
  class animal region treatment;
  model activate = region treat region*treat / solution;
  random int treat / subject = animal type = un solution v vcorr;
  repeated region / subject = animal*treatment group = treatment;
run;

title "Kronecker Product Covariance Structure";
proc mixed data=ratbrain;
   class animal region treatment;
   model activate = region treatment region*treatment / s;
   random int / subject = animal type=vc v vcorr solution;
   repeated region treatment / subject=animal type=un@un r rcorr;
run;





