data ratbrain_wide;
  infile "ratbrain.dat" firstobs=2 dlm="09"X;
  input animal $ Carb_BST Carb_LS Carb_VDB 
                 Basal_BST Basal_LS Basal_VDB;

title "Printout of Wide Data Set";
proc print data=ratbrain_wide;
run;

data ratbrain_long(keep=animal treatment region activate);
  set ratbrain_wide;
  
  array origvar (2,3) Basal_BST Basal_LS Basal_VDB
                      Carb_BST Carb_LS Carb_VDB;

  do treatment = 1 to 2;
     do region = 1 to 3;
	    activate = origvar(treatment,region);
		output;
	 end;
  end;
run;

title "Long Data Set";
proc print data=ratbrain_long;
run;

data ratbrain_long2(keep=animal treatment region activate);
  set ratbrain_wide;

  treatment = 1;
  region = 1;
  activate = Basal_BST;
  output;

  treatment = 1;
  region = 2;
  activate = Basal_LS;
  output;

  treatment = 1;
  region = 3;
  activate = Basal_VDB;
  output;

  treatment = 2;
  region = 1;
  activate = Carb_BST;
  output;

  treatment = 2;
  region = 2;
  activate = Carb_LS;
  output;

  treatment = 2;
  region = 3;
  activate = Carb_VDB;
  output;
run;

proc compare base=ratbrain_long compare=ratbrain_long2;
run;
